> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: 377e2744-6c99-421b-9c49-b2b467dc8d34
---

# Get all pipelines for a specified object type

> This endpoint is used to get all pipelines for either deals or tickets. (These are currently the only supported object types for this endpoint.) Use case for this endpoint: It can be used to sync all of a particular company's deal pipelines to an external system. Note: This endpoint requires either the contacts scope (to fetch deals pipelines) or the tickets scope.



## OpenAPI

````yaml specs/legacy/v1/crm-pipelines-v1.json GET /crm-pipelines/v1/pipelines/{object_type}
openapi: 3.0.0
info:
  title: CRM Pipelines API v1
  version: 1.0.0
  description: Legacy CRM Pipelines API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-pipelines/v1/pipelines/{object_type}:
    get:
      summary: Get all pipelines for a specified object type
      description: >-
        This endpoint is used to get all pipelines for either deals or tickets.
        (These are currently the only supported object types for this endpoint.)
        Use case for this endpoint: It can be used to sync all of a particular
        company's deal pipelines to an external system. Note: This endpoint
        requires either the contacts scope (to fetch deals pipelines) or the
        tickets scope.
      operationId: getcrmpipelinesv1pipelinesobjecttype
      parameters:
        - name: object_type
          in: path
          required: true
          description: >-
            The object type that you want the pipelines for. Must be one of:
            deals, tickets
          schema:
            type: string
            enum:
              - deals
              - tickets
        - name: includeInactive
          in: query
          required: false
          description: >-
            Whether or not to include inactive pipelines. Inactive pipelines and
            stages cannot be used when creating or updating objects.
          schema:
            type: string
            enum:
              - EXCLUDE_DELETED
              - INCLUDE_DELETED
            default: EXCLUDE_DELETED
      responses:
        '200':
          description: Successful response with pipelines for the specified object type
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/Pipeline'
      security:
        - oauth2:
            - crm.objects.deals.read
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.deals.read
        - private_apps_legacy: []
components:
  schemas:
    Pipeline:
      type: object
      properties:
        pipelineId:
          type: string
        createdAt:
          type: integer
          format: int64
        updatedAt:
          type: integer
          format: int64
          nullable: true
        objectType:
          type: string
          enum:
            - DEAL
            - TICKET
        label:
          type: string
        displayOrder:
          type: integer
        active:
          type: boolean
        default:
          type: boolean
        stages:
          type: array
          items:
            $ref: '#/components/schemas/PipelineStage'
    PipelineStage:
      type: object
      properties:
        stageId:
          type: string
        createdAt:
          type: integer
          format: int64
        updatedAt:
          type: integer
          format: int64
          nullable: true
        label:
          type: string
        displayOrder:
          type: integer
        active:
          type: boolean
        metadata:
          oneOf:
            - $ref: '#/components/schemas/DealStageMetadata'
            - $ref: '#/components/schemas/TicketStageMetadata'
            - type: object
    DealStageMetadata:
      type: object
      required:
        - probability
      properties:
        probability:
          type: number
          minimum: 0
          maximum: 1
          multipleOf: 0.1
          description: >-
            The likelihood a deal will close. Possible values are between 0.0
            and 1.0 in increments of 0.1
    TicketStageMetadata:
      type: object
      properties:
        ticketState:
          type: string
          enum:
            - OPEN
            - CLOSED
          description: >-
            Indicates if the ticket remains open or has been closed by a member
            of your Support team.

````